Get a single automation by its ID

Deprecated
Returns an single automation by its ID.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

idstringRequiredformat: "^[0-9a-f]{24}$"
Unique id of the automation

Response

Automation document that was requested
_idstringformat: "^[0-9a-f]{24}$"
Unique identifier of the automation
namestring>=1 character
dataobject
lastModifiedBystring
lastRunAtstringformat: "date-time"
Agenda property defining when the last known run was process, stored in UTC. This does not include manually ran automations.
nextRunAtstringformat: "date-time"
Agenda property defining when the next run will process, stored in UTC.
repeatIntervalstring>=1 character

Agenda property defining how often an automation will repeat. Stored in human interval time format (https://github.com/agenda/human-interval).

migratedToOMboolean

Property defining whether the automation has been migrated to app-operations_manager

correspondingOMAutomationIdstringformat: "^[0-9a-f]{24}$"
Unique identifier of the automation

Errors

500
Internal Server Error